%global		momorel 1

# Review at https://bugzilla.redhat.com/show_bug.cgi?id=527840

%global minorversion 1.0

Name:           parole
Version:        1.0.1
Release:        %{momorel}m%{?dist}
Summary:        Media player for the Xfce desktop

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://docs.xfce.org/apps/parole/start
#VCS: git:git://git.xfce.org/apps/parole
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk3-devel >= 3.2.0
BuildRequires:  glib2-devel >= 2.32.0
BuildRequires:  clutter-devel >= 1.16.4
BuildRequires:  clutter-gtk-devel >= 1.4.4
BuildRequires:  gtk2-devel >= 2.24.0
BuildRequires:  gstreamer1-plugins-base-devel >= 0.10.11
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libxfce4ui-devel >= 4.11.0
BuildRequires:  libxfce4util-devel >= 4.10.0
BuildRequires:  xfconf-devel >= 4.10.0
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool
BuildRequires:  gtk-doc
Requires:       gstreamer1-plugins-good
# Obsolete the dead mozilla plugin
Obsoletes:      %{name}-mozplugin <= 2.0.2-7

%description
Parole is a modern simple media player based on the GStreamer framework and 
written to fit well in the Xfce desktop. Parole features playback of local 
media files, DVD/CD and live streams. Parole is extensible via plugins.

The project still in its early developments stage, but already contains the 
following features:
* Audio playback
* Video playback with optional subtitle
* Playback of live sources


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for developing plugins for 
%{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc --enable-clutter
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

desktop-file-install                                    \
  --delete-original                                     \
  --remove-mime-type=video/x-totem-stream               \
  --dir=%{buildroot}%{_datadir}/applications            \
  %{buildroot}/%{_datadir}/applications/org.xfce.Parole.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO THANKS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}-0/
%{_libdir}/%{name}-0/*.so
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/org.xfce.Parole.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/
%{_includedir}/%{name}/


%changelog
* Sat Apr 14 2018 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Fri Mar  2 2018 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Sat Jul 22 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2
 
* Sat May 14 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.1-2m)
- use gstreamer1-plugins-base

* Sun Nov  1 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Sun Mar  1 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Wed Jul  9 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.0-1m)
- initial release to Momonga Linux
